HTMLFrameHyperlinkEvent (Java SE 13 & JDK 13 )
Description: declaration: module: java.desktop, package: javax.swing.text.html, class: HTMLFrameHyperlinkEvent
Keywords: javax.swing.text.html.HTMLFrameHyperlinkEvent class

Module java.desktop
Package javax.swing.text.html

# Class HTMLFrameHyperlinkEvent

java.lang.Object
java.util.EventObject
javax.swing.event.HyperlinkEvent
javax.swing.text.html.HTMLFrameHyperlinkEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FormSubmitEvent`

    public class HTMLFrameHyperlinkEvent
    extends HyperlinkEvent

HTMLFrameHyperlinkEvent is used to notify interested parties that link was activated in a frame.

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class javax.swing.event.HyperlinkEvent

  `HyperlinkEvent.EventType`

- ## Field Summary

  ### Fields declared in class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `HTMLFrameHyperlinkEvent​(Object source, HyperlinkEvent.EventType type, URL targetURL, String targetFrame)` | Creates a new object representing a html frame hypertext link event.
  `HTMLFrameHyperlinkEvent​(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, String targetFrame)` | Creates a new object representing a hypertext link event.
  `HTMLFrameHyperlinkEvent​(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, InputEvent inputEvent, String targetFrame)` | Creates a new object representing a hypertext link event.
  `HTMLFrameHyperlinkEvent​(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, String targetFrame)` | Creates a new object representing a hypertext link event.
  `HTMLFrameHyperlinkEvent​(Object source, HyperlinkEvent.EventType type, URL targetURL, Element sourceElement, String targetFrame)` | Creates a new object representing a hypertext link event.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getTarget()` | returns the target for the link.

  ### Methods declared in class javax.swing.event.HyperlinkEvent

  `getDescription, getEventType, getInputEvent, getSourceElement, getURL`

  ### Methods declared in class java.util.EventObject

  `getSource, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent​(Object source, HyperlinkEvent.EventType type, URL targetURL, String targetFrame)
    Creates a new object representing a html frame hypertext link event.
    Parameters:
      `source` - the object responsible for the event
      `type` - the event type
      `targetURL` - the affected URL
      `targetFrame` - the Frame to display the document in

  - ### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent​(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, String targetFrame)
    Creates a new object representing a hypertext link event.
    Parameters:
      `source` - the object responsible for the event
      `type` - the event type
      `targetURL` - the affected URL
      `desc` - a description
      `targetFrame` - the Frame to display the document in

  - ### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent​(Object source, HyperlinkEvent.EventType type, URL targetURL, Element sourceElement, String targetFrame)
    Creates a new object representing a hypertext link event.
    Parameters:
      `source` - the object responsible for the event
      `type` - the event type
      `targetURL` - the affected URL
      `sourceElement` - the element that corresponds to the source of the event
      `targetFrame` - the Frame to display the document in

  - ### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent​(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, String targetFrame)
    Creates a new object representing a hypertext link event.
    Parameters:
      `source` - the object responsible for the event
      `type` - the event type
      `targetURL` - the affected URL
      `desc` - a description
      `sourceElement` - the element that corresponds to the source of the event
      `targetFrame` - the Frame to display the document in

  - ### HTMLFrameHyperlinkEvent

    public HTMLFrameHyperlinkEvent​(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, InputEvent inputEvent, String targetFrame)
    Creates a new object representing a hypertext link event.
    Parameters:
      `source` - the object responsible for the event
      `type` - the event type
      `targetURL` - the affected URL
      `desc` - a description
      `sourceElement` - the element that corresponds to the source of the event
      `inputEvent` - InputEvent that triggered the hyperlink event
      `targetFrame` - the Frame to display the document in
    Since:
      1.7

- ## Method Details

  - ### getTarget

    public String getTarget()
    returns the target for the link.
    Returns:
      the target for the link